diff --git a/src/providers/ldap/sdap_async.c b/src/providers/ldap/sdap_async.c
index 09275dd..8c0dfe3 100644
--- a/src/providers/ldap/sdap_async.c
+++ b/src/providers/ldap/sdap_async.c
@@ -2115,29 +2115,29 @@ sdap_deref_search_send(TALLOC_CTX *memctx,
     state->reply = NULL;
 
     if (sdap_is_control_supported(sh, LDAP_SERVER_ASQ_OID)) {
-        DEBUG(8, ("Server supports ASQ\n"));
+        DEBUG(8, "Server supports ASQ\n");
         state->deref_type = SDAP_DEREF_ASQ;
 
         subreq = sdap_asq_search_send(state, ev, opts, sh, base_dn,
                                       deref_attr, attrs, maps, num_maps,
                                       timeout);
         if (!subreq) {
-            DEBUG(2, ("Cannot start ASQ search\n"));
+            DEBUG(2, "Cannot start ASQ search\n");
             goto fail;
         }
     } else if (sdap_is_control_supported(sh, LDAP_CONTROL_X_DEREF)) {
-        DEBUG(8, ("Server supports OpenLDAP deref\n"));
+        DEBUG(8, "Server supports OpenLDAP deref\n");
         state->deref_type = SDAP_DEREF_OPENLDAP;
 
         subreq = sdap_x_deref_search_send(state, ev, opts, sh, base_dn,
                                           deref_attr, attrs, maps, num_maps,
                                           timeout);
         if (!subreq) {
-            DEBUG(2, ("Cannot start OpenLDAP deref search\n"));
+            DEBUG(2, "Cannot start OpenLDAP deref search\n");
             goto fail;
         }
     } else {
-        DEBUG(2, ("Server does not support any known deref method!\n"));
+        DEBUG(2, "Server does not support any known deref method!\n");
         goto fail;
     }
 
@@ -2167,14 +2167,14 @@ static void sdap_deref_search_done(struct tevent_req *subreq)
                 &state->reply_count, &state->reply);
         break;
     default:
-        DEBUG(1, ("Unknown deref method\n"));
+        DEBUG(1, "Unknown deref method\n");
         tevent_req_error(req, EINVAL);
         return;
     }
 
     talloc_zfree(subreq);
     if (ret != EOK) {
-        DEBUG(2, ("dereference processing failed [%d]: %s\n", ret, strerror(ret)));
+        DEBUG(2, "dereference processing failed [%d]: %s\n", ret, strerror(ret));
         if (ret == ENOTSUP) {
             sss_log(SSS_LOG_WARNING,
                 "LDAP server claims to support deref, but deref search failed. "
@@ -2227,8 +2227,8 @@ bool sdap_has_deref_support(struct sdap_handle *sh, struct sdap_options *opts)
 
     for (i=0; deref_oids[i][0]; i++) {
         if (sdap_is_control_supported(sh, deref_oids[i][0])) {
-            DEBUG(6, ("The server supports deref method %s\n",
-                      deref_oids[i][1]));
+            DEBUG(6, "The server supports deref method %s\n",
+                      deref_oids[i][1]);
             return true;
         }
     }
@@ -2252,20 +2252,20 @@ sdap_attrs_add_ldap_attr(struct sysdb_attrs *ldap_attrs,
 
     ret = sysdb_attrs_get_el(ldap_attrs, attr_name, &el);
     if (ret) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Could not get %s from the "
+        DEBUG(SSSDBG_OP_FAILURE, "Could not get %s from the "
               "list of the LDAP attributes [%d]: %s\n",
-              attr_name, ret, strerror(ret)));
+              attr_name, ret, strerror(ret));
         return ret;
     }
 
     if (el->num_values == 0) {
-        DEBUG(SSSDBG_TRACE_INTERNAL, ("%s is not available "
-              "for [%s].\n", desc, objname));
+        DEBUG(SSSDBG_TRACE_INTERNAL, "%s is not available "
+              "for [%s].\n", desc, objname);
     } else {
         num_values = multivalued ? el->num_values : 1;
         for (i = 0; i < num_values; i++) {
-            DEBUG(SSSDBG_TRACE_INTERNAL, ("Adding %s [%s] to attributes "
-                  "of [%s].\n", desc, el->values[i].data, objname));
+            DEBUG(SSSDBG_TRACE_INTERNAL, "Adding %s [%s] to attributes "
+                  "of [%s].\n", desc, el->values[i].data, objname);
 
             ret = sysdb_attrs_add_mem(attrs, attr_name, el->values[i].data,
                                       el->values[i].length);
@@ -2300,7 +2300,7 @@ sdap_save_all_names(const char *name,
     ret = sysdb_attrs_get_aliases(tmp_ctx, ldap_attrs, name,
                                   lowercase, &aliases);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Failed to get the alias list"));
+        DEBUG(SSSDBG_OP_FAILURE, "Failed to get the alias list");
         goto done;
     }
 
@@ -2313,8 +2313,8 @@ sdap_save_all_names(const char *name,
 
         ret = sysdb_attrs_add_string(attrs, SYSDB_NAME_ALIAS, domname);
         if (ret) {
-            DEBUG(SSSDBG_OP_FAILURE, ("Failed to add alias [%s] into the "
-                                      "attribute list\n", aliases[i]));
+            DEBUG(SSSDBG_OP_FAILURE, "Failed to add alias [%s] into the "
+                                      "attribute list\n", aliases[i]);
             goto done;
         }
     }
diff --git a/src/providers/ldap/sdap_async_autofs.c b/src/providers/ldap/sdap_async_autofs.c
index 4d5e953..e4dfb73 100644
--- a/src/providers/ldap/sdap_async_autofs.c
+++ b/src/providers/ldap/sdap_async_autofs.c
@@ -63,7 +63,7 @@ get_autofs_entry_attr(struct sysdb_attrs *entry, struct sdap_options *opts,
     if (ret) return NULL;
     if (el->num_values != 1) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Expected one entry got %d\n", el->num_values));
+              "Expected one entry got %d\n", el->num_values);
         return NULL;
     }
 
@@ -94,13 +94,13 @@ add_autofs_entry(struct sysdb_ctx *sysdb,
 
     key = get_autofs_entry_key(entry, opts);
     if (!key) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Could not get autofs entry key\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Could not get autofs entry key\n");
         return EINVAL;
     }
 
     value = get_autofs_entry_value(entry, opts);
     if (!value) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Could not get autofs entry value\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Could not get autofs entry value\n");
         return EINVAL;
     }
 
@@ -133,30 +133,30 @@ save_autofs_entries(struct sysdb_ctx *sysdb,
         hret = hash_lookup(entry_hash, &key, &value);
         if (hret != HASH_SUCCESS) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Cannot retrieve entry [%s] from hash\n", add_dn_list[i]));
+                  "Cannot retrieve entry [%s] from hash\n", add_dn_list[i]);
             continue;
         }
 
         entry = talloc_get_type(value.ptr, struct sysdb_attrs);
         if (!entry) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Cannot retrieve entry [%s] from ptr\n", add_dn_list[i]));
+                  "Cannot retrieve entry [%s] from ptr\n", add_dn_list[i]);
             continue;
         }
 
         DEBUG(SSSDBG_TRACE_FUNC,
-              ("Saving autofs entry [%s]\n", add_dn_list[i]));
+              "Saving autofs entry [%s]\n", add_dn_list[i]);
         ret = add_autofs_entry(sysdb, domain, map, opts, entry);
         if (ret) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Cannot save entry [%s] to cache\n", add_dn_list[i]));
+                  "Cannot save entry [%s] to cache\n", add_dn_list[i]);
             continue;
         }
 
-        DEBUG(SSSDBG_TRACE_FUNC, ("Saved entry [%s]\n", add_dn_list[i]));
+        DEBUG(SSSDBG_TRACE_FUNC, "Saved entry [%s]\n", add_dn_list[i]);
     }
 
-    DEBUG(SSSDBG_TRACE_INTERNAL, ("All entries saved\n"));
+    DEBUG(SSSDBG_TRACE_INTERNAL, "All entries saved\n");
     return EOK;
 }
 
@@ -171,17 +171,17 @@ del_autofs_entries(struct sysdb_ctx *sysdb,
 
     for (i=0; del_dn_list[i]; i++) {
         DEBUG(SSSDBG_TRACE_FUNC,
-              ("Removing autofs entry [%s]\n", del_dn_list[i]));
+              "Removing autofs entry [%s]\n", del_dn_list[i]);
 
         ret = sysdb_del_autofsentry(sysdb, del_dn_list[i]);
         if (ret) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Cannot delete entry %s\n", del_dn_list[i]));
+                  "Cannot delete entry %s\n", del_dn_list[i]);
             continue;
         }
     }
 
-    DEBUG(SSSDBG_TRACE_INTERNAL, ("All entries removed\n"));
+    DEBUG(SSSDBG_TRACE_INTERNAL, "All entries removed\n");
     return EOK;
 }
 
@@ -268,7 +268,7 @@ automntmaps_process_members_send(TALLOC_CTX *mem_ctx,
                     opts->autofs_entry_map[SDAP_AT_AUTOFS_ENTRY_KEY].name,
                     opts->autofs_entry_map[SDAP_OC_AUTOFS_ENTRY].name);
     if (!state->base_filter) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to build filter\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to build filter\n");
         ret = ENOMEM;
         goto immediate;
     }
@@ -277,7 +277,7 @@ automntmaps_process_members_send(TALLOC_CTX *mem_ctx,
                                SDAP_OPTS_AUTOFS_ENTRY, NULL,
                                &state->attrs, NULL);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to build attributes from map\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to build attributes from map\n");
         ret = ENOMEM;
         goto immediate;
     }
@@ -285,17 +285,17 @@ automntmaps_process_members_send(TALLOC_CTX *mem_ctx,
 
     ret = sysdb_attrs_get_string(state->map, SYSDB_ORIG_DN, &state->orig_dn);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Cannot get originalDN\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Cannot get originalDN\n");
         goto immediate;
     }
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Examining autofs map [%s]\n", state->orig_dn));
+          "Examining autofs map [%s]\n", state->orig_dn);
 
     ret = automntmaps_process_members_next_base(req);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("search failed [%d]: %s\n", ret, strerror(ret)));
+              "search failed [%d]: %s\n", ret, strerror(ret));
         goto immediate;
     }
 
@@ -327,8 +327,8 @@ automntmaps_process_members_next_base(struct tevent_req *req)
     }
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Searching for automount map entries with base [%s]\n",
-           state->search_bases[state->base_iter]->basedn));
+          "Searching for automount map entries with base [%s]\n",
+           state->search_bases[state->base_iter]->basedn);
 
     subreq = sdap_get_generic_send(state, state->ev, state->opts, state->sh,
                                    state->orig_dn,
@@ -338,7 +338,7 @@ automntmaps_process_members_next_base(struct tevent_req *req)
                                    SDAP_OPTS_AUTOFS_ENTRY,
                                    state->timeout, true);
     if (!subreq) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Cannot start search for entries\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Cannot start search for entries\n");
         return EIO;
     }
     tevent_req_set_callback(subreq, automntmaps_process_members_done, req);
@@ -392,11 +392,11 @@ automntmaps_process_members_done(struct tevent_req *subreq)
         }
     }
 
-    DEBUG(SSSDBG_TRACE_INTERNAL, ("No more search bases to try\n"));
+    DEBUG(SSSDBG_TRACE_INTERNAL, "No more search bases to try\n");
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Search for autofs entries, returned %zu results.\n",
-          state->entries_count));
+          "Search for autofs entries, returned %zu results.\n",
+          state->entries_count);
 
     tevent_req_done(req);
     return;
@@ -510,8 +510,8 @@ sdap_get_automntmap_next_base(struct tevent_req *req)
     }
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Searching for automount maps with base [%s]\n",
-           state->search_bases[state->base_iter]->basedn));
+          "Searching for automount maps with base [%s]\n",
+           state->search_bases[state->base_iter]->basedn);
 
     subreq = sdap_get_generic_send(
             state, state->ev, state->opts, state->sh,
@@ -550,7 +550,7 @@ sdap_get_automntmap_process(struct tevent_req *subreq)
     }
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Search for autofs maps, returned %zu results.\n", state->count));
+          "Search for autofs maps, returned %zu results.\n", state->count);
 
     if (state->count == 0) {
         /* No maps found in this search */
@@ -568,12 +568,12 @@ sdap_get_automntmap_process(struct tevent_req *subreq)
         return;
     } else if (state->count > 1) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("The search yielded more than one autofs map\n"));
+              "The search yielded more than one autofs map\n");
         tevent_req_error(req, EIO);
         return;
     }
 
-    DEBUG(SSSDBG_TRACE_INTERNAL, ("Processing autofs maps\n"));
+    DEBUG(SSSDBG_TRACE_INTERNAL, "Processing autofs maps\n");
     subreq = automntmaps_process_members_send(state, state->ev, state->opts,
                                               state->sh, state->dom,
                                               state->search_bases,
@@ -605,7 +605,7 @@ sdap_get_automntmap_done(struct tevent_req *subreq)
         return;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("automount map members received\n"));
+    DEBUG(SSSDBG_TRACE_FUNC, "automount map members received\n");
     tevent_req_done(req);
     return;
 }
@@ -678,7 +678,7 @@ sdap_autofs_setautomntent_send(TALLOC_CTX *memctx,
     if (!req) return NULL;
 
     if (!mapname) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("No map name given\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "No map name given\n");
         ret = EINVAL;
         goto fail;
     }
@@ -700,7 +700,7 @@ sdap_autofs_setautomntent_send(TALLOC_CTX *memctx,
                     clean_mapname,
                     state->opts->autofs_mobject_map[SDAP_OC_AUTOFS_MAP].name);
     if (!state->filter) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to build filter\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to build filter\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -710,7 +710,7 @@ sdap_autofs_setautomntent_send(TALLOC_CTX *memctx,
                                SDAP_OPTS_AUTOFS_MAP, NULL,
                                &state->attrs, NULL);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to build attributes from map\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to build attributes from map\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -723,7 +723,7 @@ sdap_autofs_setautomntent_send(TALLOC_CTX *memctx,
                                       dp_opt_get_int(state->opts->basic,
                                                      SDAP_SEARCH_TIMEOUT));
     if (!subreq) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Out of memory\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Out of memory\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -753,11 +753,11 @@ sdap_autofs_setautomntent_done(struct tevent_req *subreq)
     talloc_zfree(subreq);
     if (ret != EOK) {
         if (ret == ENOENT) {
-            DEBUG(SSSDBG_MINOR_FAILURE, ("Could not find automount map\n"));
+            DEBUG(SSSDBG_MINOR_FAILURE, "Could not find automount map\n");
         } else {
             DEBUG(SSSDBG_OP_FAILURE,
-                ("sdap_get_automntmap_recv failed [%d]: %s\n",
-                ret, strerror(ret)));
+                "sdap_get_automntmap_recv failed [%d]: %s\n",
+                ret, strerror(ret));
         }
         tevent_req_error(req, ret);
         return;
@@ -765,7 +765,7 @@ sdap_autofs_setautomntent_done(struct tevent_req *subreq)
 
     ret = sdap_autofs_setautomntent_save(req);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Could not save automount map\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Could not save automount map\n");
         tevent_req_error(req, ret);
         return;
     }
@@ -802,7 +802,7 @@ sdap_autofs_setautomntent_save(struct tevent_req *req)
     if (!tmp_ctx) return ENOMEM;
 
     DEBUG(SSSDBG_TRACE_LIBS,
-          ("Got %zu map entries from LDAP\n", state->entries_count));
+          "Got %zu map entries from LDAP\n", state->entries_count);
     if (state->entries_count == 0) {
         /* No entries for this map in LDAP.
          * We need to ensure that there are no entries
@@ -827,7 +827,7 @@ sdap_autofs_setautomntent_save(struct tevent_req *req)
             key = get_autofs_entry_key(state->entries[i], state->opts);
             val = get_autofs_entry_value(state->entries[i], state->opts);
             if (!key || !val) {
-                DEBUG(SSSDBG_MINOR_FAILURE, ("Malformed entry, skipping\n"));
+                DEBUG(SSSDBG_MINOR_FAILURE, "Malformed entry, skipping\n");
                 continue;
             }
 
@@ -862,12 +862,12 @@ sdap_autofs_setautomntent_save(struct tevent_req *req)
                                       &count, &entries);
     if (ret != EOK && ret != ENOENT) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("cache lookup for the map failed [%d]: %s\n",
-               ret, strerror(ret)));
+              "cache lookup for the map failed [%d]: %s\n",
+               ret, strerror(ret));
         goto done;
     }
 
-    DEBUG(SSSDBG_TRACE_LIBS, ("Got %zu map entries from sysdb\n", count));
+    DEBUG(SSSDBG_TRACE_LIBS, "Got %zu map entries from sysdb\n", count);
     if (count == 0) {
         /* No map members for this map in sysdb currently */
         sysdb_entrylist = NULL;
@@ -900,8 +900,8 @@ sdap_autofs_setautomntent_save(struct tevent_req *req)
     ret = sysdb_transaction_start(state->sysdb);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-             ("Cannot start sysdb transaction [%d]: %s\n",
-              ret, strerror(ret)));
+             "Cannot start sysdb transaction [%d]: %s\n",
+              ret, strerror(ret));
         goto done;
     }
     in_transaction = true;
@@ -910,8 +910,8 @@ sdap_autofs_setautomntent_save(struct tevent_req *req)
     ret = save_autofs_map(state->sysdb, state->dom, state->opts, state->map);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-             ("Cannot save autofs map entry [%d]: %s\n",
-              ret, strerror(ret)));
+             "Cannot save autofs map entry [%d]: %s\n",
+              ret, strerror(ret));
         goto done;
     }
 
@@ -922,8 +922,8 @@ sdap_autofs_setautomntent_save(struct tevent_req *req)
                                   entry_hash);
         if (ret != EOK) {
             DEBUG(SSSDBG_OP_FAILURE,
-                  ("Cannot save autofs entries [%d]: %s\n",
-                  ret, strerror(ret)));
+                  "Cannot save autofs entries [%d]: %s\n",
+                  ret, strerror(ret));
             goto done;
         }
     }
@@ -934,8 +934,8 @@ sdap_autofs_setautomntent_save(struct tevent_req *req)
                                  state->mapname, del_entries);
         if (ret != EOK) {
             DEBUG(SSSDBG_OP_FAILURE,
-                  ("Cannot delete autofs entries [%d]: %s\n",
-                  ret, strerror(ret)));
+                  "Cannot delete autofs entries [%d]: %s\n",
+                  ret, strerror(ret));
             goto done;
         }
     }
@@ -944,8 +944,8 @@ sdap_autofs_setautomntent_save(struct tevent_req *req)
     ret = sysdb_transaction_commit(state->sysdb);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-             ("Cannot commit sysdb transaction [%d]: %s\n",
-              ret, strerror(ret)));
+             "Cannot commit sysdb transaction [%d]: %s\n",
+              ret, strerror(ret));
         goto done;
     }
     in_transaction = false;
@@ -956,8 +956,8 @@ done:
         tret = sysdb_transaction_cancel(state->sysdb);
         if (tret != EOK) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                ("Cannot cancel sysdb transaction [%d]: %s\n",
-                ret, strerror(ret)));
+                "Cannot cancel sysdb transaction [%d]: %s\n",
+                ret, strerror(ret));
         }
     }
     talloc_zfree(tmp_ctx);
